cdac.medinfo.sdk.hl7282.baselibs.segments

## Class NTE

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.NTE

- All Implemented Interfaces:
    ISegment

      public class NTE
      extends Segment

  NTE - Notes and Comments Segment.

  The NTE segment is defined here for inclusion in messages defined in other chapters. It is commonly used for sending notes and comments.

  Represents an HL7 NTE message segment. This segment has the following fields:

  NTE-1: Set ID - NTE (SI)Optional
  NTE-2: Source of Comment (ID)Optional
  NTE-3: Comment (FT)Optional
  NTE-4: Comment Type (CWE)Optional
  NTE-5: Entered By (XCN)Optional
  NTE-6: Entered Date/Time (DTM)Optional
  NTE-7: Effective Start Date (DTM)Optional
  NTE-8: Expiration Date (DTM)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NTE()` Constructs the NTE segment.
    `NTE(EnumSegments enumSegments)` Construct the NTE segment with enum.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addComment(FT objcomment)` Add the Comment.
    `void` | `addComment(java.lang.String strComment)` Add the Comment.
    `ISingleCollection<FT>` | `getComment()` Retrieves the Comment.
    `CWE` | `getCommentType()` Retrieves the Comment Type.
    `DTM` | `getEffectiveStartDate()` Retrieves the Effective Start Date.
    `XCN` | `getEnteredBy()` Retrieves the Entered By.
    `DTM` | `getEnteredDateTime()` Retrieves the Entered Date/Time.
    `DTM` | `getExpirationDate()` Retrieves the Expiration Date.
    `SI` | `getSetID_NTE()` Retrieves the Set ID NTE.
    `ID` | `getSourceOfComment()` Retrieves the Source Of Comment.
    `void` | `setComment(ISingleCollection<FT> objComment)` Set the Comment.
    `void` | `setCommentType(CWE objcommentType)` Set the Comment Type.
    `void` | `setCommentType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Comment Type.
    `void` | `setEffectiveStartDate(DTM objeffectiveStartDate)` Set the Effective Start Date.
    `void` | `setEffectiveStartDate(java.lang.String strDate)` Set the Effective Start Date.
    `void` | `setEnteredBy(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Entered By.
    `void` | `setEnteredBy(XCN enteredBy)` Set the Entered By.
    `void` | `setEnteredDateTime(DTM objEnteredDateTime)` Set the Entered Date/Time.
    `void` | `setEnteredDateTime(java.lang.String strTime)` Set the Entered Date/Time.
    `void` | `setExpirationDate(DTM objexpirationDate)` Set the Expiration Date.
    `void` | `setExpirationDate(java.lang.String strTime)` Set the Expiration Date.
    `void` | `setSetID_NTE(SI objsetID_NTE)` Set the Set ID NTE.
    `void` | `setSetID_NTE(java.lang.String strSetID)` Set the Set ID NTE.
    `void` | `setSourceOfComment(ID objsourceOfComment)` Set the Source Of Comment.
    `void` | `setSourceOfComment(java.lang.String strSourceOfComment)` Set the Source Of Comment.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NTE

          public NTE()

      Constructs the NTE segment.

    - #### NTE

          public NTE(EnumSegments enumSegments)

      Construct the NTE segment with enum.
      Parameters:
        `enumSegments` - Specified enum.

  - ### Method Detail

    - #### getComment

          public ISingleCollection<FT> getComment()

      Retrieves the Comment. This field contains the comment contained in the segment.
      Returns:
        ISingleCollection - comment

    - #### getCommentType

          public CWE getCommentType()

      Retrieves the Comment Type. This field contains a value to identify the type of comment text being sent in the specific comment record.
      Returns:
        CWE - commentType

    - #### getSetID_NTE

          public SI getSetID_NTE()

      Retrieves the Set ID NTE. This field is used where multiple NTE segments are included in a message.
      Returns:
        String - setID_NTE

    - #### getSourceOfComment

          public ID getSourceOfComment()

      Retrieves the Source Of Comment. This field is used when source of comment must be identified.
      Returns:
        String - sourceOfComment

    - #### setSetID_NTE

          public void setSetID_NTE(java.lang.String strSetID)

      Set the Set ID NTE. This field is used where multiple NTE segments are included in a message.
      Parameters:
        `strSetID` - NTE segment number.

    - #### setSetID_NTE

          public void setSetID_NTE(SI objsetID_NTE)

      Set the Set ID NTE. This field is used where multiple NTE segments are included in a message.
      Parameters:
        `objsetID_NTE` - Object of Set ID NTE.

    - #### setSourceOfComment

          public void setSourceOfComment(java.lang.String strSourceOfComment)

      Set the Source Of Comment. This field is used when source of comment must be identified.
      Parameters:
        `strSourceOfComment` - Specifies source of comment(Refer table 105 for valid values).

    - #### setSourceOfComment

          public void setSourceOfComment(ID objsourceOfComment)

      Set the Source Of Comment. This field is used when source of comment must be identified.
      Parameters:
        `objsourceOfComment` - Object of Source Of Comment.

    - #### addComment

          public void addComment(java.lang.String strComment)

      Add the Comment. This field contains the comment contained in the segment.
      Parameters:
        `strComment` - Specifies source of comment.

    - #### addComment

          public void addComment(FT objcomment)

      Add the Comment. This field contains the comment contained in the segment.
      Parameters:
        `objcomment` - Object of Comment.

    - #### setComment

          public void setComment(ISingleCollection<FT> objComment)

      Set the Comment. This field contains the comment contained in the segment.
      Parameters:
        `objComment` - List of the Comment

    - #### setCommentType

          public void setCommentType(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Comment Type. This field contains a value to identify the type of comment text being sent in the specific comment record.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setCommentType

          public void setCommentType(CWE objcommentType)

      Set the Comment Type. This field contains a value to identify the type of comment text being sent in the specific comment record.
      Parameters:
        `objcommentType` - Object of Comment Type.

    - #### getEnteredBy

          public XCN getEnteredBy()

      Retrieves the Entered By.
      Returns:
        XCN - enteredBy

    - #### setEnteredBy

          public void setEnteredBy(java.lang.String strIDNumber,
                          FN objFamilyName,
                          java.lang.String strGivenName,
                          java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                          java.lang.String strSuffix,
                          java.lang.String strPrefix,
                          CWE objSourceTable,
                          HD objAssigningAuthority,
                          java.lang.String strNameTypeCode,
                          java.lang.String strIdentifierCheckDigit,
                          java.lang.String strCheckDigitScheme,
                          java.lang.String strIdentifierTypeCode,
                          HD objAssigningFacility,
                          java.lang.String strNameRepresentationCode,
                          CWE objNameContext,
                          java.lang.String strNameAssemblyOrder,
                          java.lang.String strEffectiveDate,
                          java.lang.String strExpirationDate,
                          java.lang.String strProfessionalSuffix,
                          CWE objAssigningJurisdiction,
                          CWE objAssigningAgencyOrDepratment,
                          java.lang.String strSecurityCheck,
                          java.lang.String strSecurityCheckScheme)

      Set the Entered By.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### setEnteredBy

          public void setEnteredBy(XCN enteredBy)

      Set the Entered By.
      Parameters:
        `enteredBy` - Entered By.

    - #### getEnteredDateTime

          public DTM getEnteredDateTime()

      Retrieves the Entered Date/Time. This field contains the date and time of the last change of the record.
      Returns:
        DTM - EnteredDateTime

    - #### setEnteredDateTime

          public void setEnteredDateTime(java.lang.String strTime)

      Set the Entered Date/Time. This field contains the date and time of the last change of the record.
      Parameters:
        `strTime` - The point in time

    - #### setEnteredDateTime

          public void setEnteredDateTime(DTM objEnteredDateTime)

      Set the Entered Date/Time. This field contains the date and time of the last change of the record.
      Parameters:
        `objEnteredDateTime` -

    - #### getEffectiveStartDate

          public DTM getEffectiveStartDate()

      Retrieves the Effective Start Date. This field contains the date/time when this CDM entry becomes effective.
      Returns:
        DTM - effectiveStartDate

    - #### setEffectiveStartDate

          public void setEffectiveStartDate(java.lang.String strDate)

      Set the Effective Start Date. This field contains the date/time when this CDM entry becomes effective.
      Parameters:
        `strDate` - Specifies a point in time using a 24-hour clock notation.

    - #### setEffectiveStartDate

          public void setEffectiveStartDate(DTM objeffectiveStartDate)

      Set the Effective Start Date. This field contains the date/time when this CDM entry becomes effective.
      Parameters:
        `objeffectiveStartDate` - Object of Effective Start Date.

    - #### getExpirationDate

          public DTM getExpirationDate()

      Retrieves the Expiration Date. This field contains the date the comment becomes or became non-effective.
      Returns:
        DTM - expirationDate

    - #### setExpirationDate

          public void setExpirationDate(java.lang.String strTime)

      Set the Expiration Date. This field contains the date the comment becomes or became non-effective.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setExpirationDate

          public void setExpirationDate(DTM objexpirationDate)

      Set the Expiration Date. This field contains the date the comment becomes or became non-effective.
      Parameters:
        `objexpirationDate` - Object of Expiration Date.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails